Subject: bug#55930: 29.0.50; Removing some items from Emacs FAQ for MS Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jun 2022 21:36:54 +0300

> From: Arash Esbati <[email-masked]>
> Date: Sun, 12 Jun 2022 20:25:00 +0200
> 
> I'd like to ask it makes sense to remove some items from FAQ for MS
> Windows in "11 Other useful ports"[1], namely:
> 
>   11.4 UWIN
>   http://www.research.att.com/sw/tools/uwin/
> 
>   UWIN is another POSIX emulation environment, like Cygwin and MSYS,
>   that provides a large number of ported tools. The shell used by UWIN
>   is ksh, the Korn shell.
> 
> The link is gone.  I did a quick search but could not find a
> replacement.

If it's gone, it should be removed from the FAQ, IMO.

>   11.5 GnuWin32
> 
>   http://gnuwin32.sourceforge.net/
> 
>   GnuWin32 provides precompiled native Windows ports of a wide selection
>   of Free software and libraries. Unfortunately, the ports are
>   outdated.
> 
> Outdated means last announcement is from 2010, the project looks
> dormant.

It is indeed dormant, but some of its ports are nowhere to be found as
native MS-Windows executables.  Coreutils, for example.

> Maybe an entry for Msys2 should be added?  I can send a proposal, but
> before that, I'd like to know how people think about it.

I hope you mean MinGW64 executables here.  MSYS2 executables are just
like Cygwin: they aren't native Windows binaries, and have some subtle
compatibility problems.

Yes, if you can come up with a list of MinGW64 ports that are
available from the MSYS2 folks, by all means suggest a patch for the
FAQ.

Thanks.